Subject: Ftp-WG: error code 550 questions

From: Stephen Head <[email-masked]>
Date: Sun, 11 Jun 2000 19:58:08 -0500

In d-10, it says in 2.4 that error-code can be either 4xx or 5xx,
where xx are 2 digits, as in RFC959.  I am wondering if
Sections 3 and 4 have formal error subsections (3.2 and 4.2)
but MLSx (Section 7) does not.  In particular, 3.2 and 4.2 allow
a 550 response for object not found.  However, I could not
find an analogous 550 response in Section 7 and wonder
if this is intentional or not.  When I issue a PWD on Solaris x86 5.7
on a working directory that has been deleted after entering
via the ftp server, I get a 550 (at least once with some apparent
gibberish
for the directory name echo,
presumeably indicating a problem with that ftpd implementation).
CWD on Solaris to a non-existent directory also yields 550.
Should MLSx be consistent with PWD, CWD, SIZE and MDTM in this
regard?  Apologies if already dealt with or I missed something.

-s